Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfFontPitchComplexType

    java.lang.Object
      java.lang.Enum<OdfFontPitchComplexType>
          org.odftoolkit.odfdom.dom.type.style.OdfFontPitchComplexType

All Implemented Interfaces:
  Serializable, Comparable<OdfFontPitchComplexType>

    public enum OdfFontPitchComplexType

extends Enum<OdfFontPitchComplexType>

DOM implementation of OpenDocument attribute style:font-pitch-complex.

Enum Constant Summary
`FIXED`
`VARIABLE`

Method Summary
`static OdfFontPitchComplexType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfFontPitchComplexType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfFontPitchComplexType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfFontPitchComplexType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VARIABLE

    public static final OdfFontPitchComplexType VARIABLE

### FIXED

    public static final OdfFontPitchComplexType FIXED

Method Detail

### values

    public static OdfFontPitchComplexType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfFontPitchComplexType c : OdfFontPitchComplexType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfFontPitchComplexType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfFontPitchComplexType>`
  Returns:
    return the name of OdfFontPitchComplexType

### toString

    public static String toString(OdfFontPitchComplexType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfFontPitchComplexType, see style:font-pitch-complex
  Returns:
    return the name of OdfFontPitchComplexType

### enumValueOf

    public static OdfFontPitchComplexType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfFontPitchComplexType
  Returns:
    return the constant of OdfFontPitchComplexType, see style:font-pitch-complex

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.